Package org.apache.sling.models.impl.via

# Class ResourceSuperTypeViaProvider

java.lang.Object
org.apache.sling.models.impl.via.AbstractResourceTypeViaProvider
org.apache.sling.models.impl.via.ResourceSuperTypeViaProvider

All Implemented Interfaces:
  `org.apache.sling.models.spi.ViaProvider`

public class ResourceSuperTypeViaProvider extends AbstractResourceTypeViaProvider

## Field Summary

### Fields inherited from class org.apache.sling.models.impl.via.AbstractResourceTypeViaProvider

`log`

### Fields inherited from interface org.apache.sling.models.spi.ViaProvider

`ORIGINAL`

## Constructor Summary

Constructors
Constructor
Description
`ResourceSuperTypeViaProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getResourceType(@NotNull org.apache.sling.api.resource.Resource resource, @NotNull String value)`
`Class<? extends org.apache.sling.models.annotations.ViaProviderType>`
`getType()`
`protected boolean`
`handle(@NotNull String value)`

### Methods inherited from class org.apache.sling.models.impl.via.AbstractResourceTypeViaProvider

`getAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceSuperTypeViaProvider

public ResourceSuperTypeViaProvider()

## Method Details

### getType

public Class<? extends org.apache.sling.models.annotations.ViaProviderType> getType()

### getResourceType

protected String getResourceType(@NotNull @NotNull org.apache.sling.api.resource.Resource resource, @NotNull @NotNull String value)

Specified by:
  `getResourceType` in class `AbstractResourceTypeViaProvider`

### handle

protected boolean handle(@NotNull @NotNull String value)

Specified by:
  `handle` in class `AbstractResourceTypeViaProvider`